## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#global date 20231209
#global commit 35311b68945f25c10397f4e894e7045f8359143a
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           asahi-audio
Version:        2.5%{?commit:^%{date}git%{shortcommit}}
Release:        %autorelease
Summary:        PipeWire DSP profiles for Apple Silicon machines
License:        MIT
URL:            https://github.com/AsahiLinux/asahi-audio
%if %{defined commit}
Source:         %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  make
Requires:       pipewire >= 1.0
Requires:       wireplumber >= 0.5.1-2
Requires:       pipewire-module-filter-chain-lv2
Requires:       lsp-plugins-lv2 >= 1.2.13-2
Requires:       lv2-bankstown >= 1.1.0
Recommends:     speakersafetyd

%description
PipeWire and WirePlumber DSP profiles and configurations to
drive the speaker arrays in Apple Silicon laptops and desktops.

%prep
%autosetup %{?commit:-n %{name}-%{commit}}

%build
%make_build

%install
%make_install PREFIX=%{_prefix} DATA_DIR=%{_datadir}

%files
%license LICENSE
%doc README.md
%{_datadir}/asahi-audio/
%{_datadir}/wireplumber/scripts/device/asahi-limit-volume.lua
%{_datadir}/wireplumber/wireplumber.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire.conf.d/99-asahi.conf
%{_datadir}/pipewire/pipewire-pulse.conf.d/99-asahi.conf

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 29 2024 Hector Martin <marcan@fedoraproject.org> - 2.5-1
- Update to 2.5

* Mon Nov 11 2024 Hector Martin <marcan@fedoraproject.org> - 2.4-1
- Update to 2.4; fixes RHBZ#2324850

* Sat Aug 24 2024 Janne Grunau <janne-fdr@jannau.net> - 2.3-1
- Update to 2.3; Fixes RHBZ#2304050
- updated IRs and bassex settings for j314/j414

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 09 2024 Hector Martin <marcan@fedoraproject.org> - 2.2-1
- Update to 2.2

* Tue Apr 30 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1-1
- Update to 2.1; Fixes: RHBZ#2266700

* Sat Apr 20 2024 Janne Grunau <j@jannau.net> - 2.0-1
- Update to 2.0

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Hector Martin <marcan@fedoraproject.org> - 1.6-1
- Update to 1.6

* Sun Dec 17 2023 Hector Martin <marcan@fedoraproject.org> - 1.5-1
- Update to 1.5

* Sun Dec 17 2023 Hector Martin <marcan@fedoraproject.org> - 1.4-1
- Update to 1.4

* Sat Dec 16 2023 Hector Martin <marcan@fedoraproject.org> - 1.3-1
- Update to 1.3

* Sat Dec 16 2023 Hector Martin <marcan@fedoraproject.org> - 1.2-1
- Update to 1.2

* Fri Dec 15 2023 Hector Martin <marcan@fedoraproject.org> - 1.1-1
- Update to 1.1

* Fri Dec 15 2023 Hector Martin <marcan@fedoraproject.org> - 1.0-1
- Update to 1.0

* Sun Dec 10 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.6-2
- Make it easier to build prereleases

* Mon Dec 04 2023 Hector Martin <marcan@fedoraproject.org> - 0.6-1
- Update to 0.6

* Sat Nov 11 2023 Hector Martin <marcan@fedoraproject.org> - 0.5-1
- Update to 0.5

* Thu Nov 09 2023 Hector Martin <marcan@fedoraproject.org> - 0.4-1
- Update to 0.4

* Tue Nov 07 2023 Hector Martin <marcan@fedoraproject.org> - 0.3-2
- Add 0.3 sources

* Tue Nov 07 2023 Hector Martin <marcan@fedoraproject.org> - 0.3-1
- Update to 0.3

* Tue Nov 07 2023 Hector Martin <marcan@fedoraproject.org> - 0.2-1
- Initial release: 0.2
## END: Generated by rpmautospec
